libhttp-request-params-perl_1.01-7_all.deb


Advertisement

Description

libhttp-request-params-perl - Perl extension for retrieving HTTP request parameters

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libhttp-request-params-perl
Package version 1.01
Package release 7
Package architecture all
Package type deb
Installed size 54 B
Download size 7.78 KB
Official Mirror ftp.br.debian.org
The HTTP::Request::Params module parses the GET and POST parameters of
an HTTP request.  It may return the result either as a hash reference
or as an Email::MIME object for easier parsing.

Alternatives

Package Version Architecture Repository
libhttp-request-params-perl_1.01-7_all.deb 1.01 all Debian Main
libhttp-request-params-perl - - -

Requires

Name Value
libclass-accessor-perl -
libemail-mime-contenttype-perl -
libemail-mime-modifier-perl -
libemail-mime-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package libhttp-request-params-perl_1.01-7_all.deb
Source Package libhttp-request-params-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libhttp-request-params-perl deb package:
    # sudo apt-get install libhttp-request-params-perl

Files

Path
/usr/share/doc/libhttp-request-params-perl/changelog.Debian.gz
/usr/share/doc/libhttp-request-params-perl/changelog.gz
/usr/share/doc/libhttp-request-params-perl/copyright
/usr/share/man/man3/HTTP::Request::Params.3pm.gz
/usr/share/perl5/HTTP/Request/Params.pm

Changelog

2013-10-06 - gregor herrmann <gregoa@debian.org>
libhttp-request-params-perl (1.01-7) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ gregor herrmann ]
* Add patch from CPAN RT to work with newer Email::MIME.
(Closes: #725585)
* Explicitly (build) depend on libemail-mime-perl.
* Update years of upstream copyright.
* Declare compliance with Debian Policy 3.9.4.
2011-04-04 - gregor herrmann <gregoa@debian.org>
libhttp-request-params-perl (1.01-6) unstable; urgency=low
* Prepare build and runtime dependencies for libwww-perl 6
(closes: #620493).
* Add /me to Uploaders.
2011-01-22 - Peter Pentchev <roam@ringlet.net>
libhttp-request-params-perl (1.01-5) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Added: ${misc:Depends} to Depends: field.
* debian/control: change (build) dependency on "libemail-mime-
{creator,modifier}-perl" to "libemail-mime-perl (>= 1.901) |
libemail-mime-{creator,modifier}-perl".  Closes: #610775
* debian/control: don't wrap Vcs-* fields.
[ Ansgar Burchardt ]
* debian/control: Correct Vcs-Browser URL.
[ Peter Pentchev ]
* Convert to the 3.0 (quilt) source format with bzip2 compression with
no changes.
* Improve the package description a bit.
* Add myself to Uploaders.
* Bump the debhelper compatibility level to 8 and minimize the rules file.
* Bump Standards-Version to 3.9.1 with no changes.
* Update the copyright file:
- point to the GPL-1 license instead of the GPL symlink
- convert to rev. 165 of the DEP 5 candidate format
- add my copyright notice
* Drop the >= 5.8.0 requirement in the Perl build dependency.
2008-01-14 - Ernesto Hernández-Novich (USB) <emhn@usb.ve>
libhttp-request-params-perl (1.01-4) unstable; urgency=low
[ gregor herrmann ]
* debian/rules: delete /usr/lib/perl5 only if it exists (Closes: #467904).
[ Ernesto Hernández-Novich (USB) ]
* Upgraded to debhelper 6
2007-12-05 - Damyan Ivanov <dmn@debian.org>
libhttp-request-params-perl (1.01-3) unstable; urgency=low
[ Ernesto Hernández-Novich (USB) ]
* Moved the package into Debian Perl Pkg Project SVN.
* Fixed watch file.
* Wrap long lines in control file.
* Fixed Maintainer field in control file.
* Fixed copyright and control file with a better URL.
[ Damyan Ivanov ]
* Use faster URL in debian/watch
* Drop debian/docs, do not ship redundant README
* debian/rules: add explicit $(MAKE) call
* Bump debhelper compat level to 5
* Put me in Uploaders instead of Ernesto
* Bump standards-version to 3.7.3 (no changes)
2007-07-02 - Ernesto Hernández-Novich <emhn@telcel.net.ve>
libhttp-request-params-perl (1.01-2) unstable; urgency=low
* Updated Standards Version.
* Cleanup debian/rules.
* Added versioned dependencies on libemail-mime-modifier-perl (Closes: #422612)
2005-12-05 - Ernesto Hernández-Novich <emhn@telcel.net.ve>
libhttp-request-params-perl (1.01-1) unstable; urgency=low
* Initial Release.

See Also

Package Description
libhttp-response-encoding-perl_0.05-2_all.deb set of encoding() methods for HTTP::Response
libhttp-server-simple-authen-perl_0.04-1_all.deb Authentication plugin for HTTP::Server::Simple
libhttp-server-simple-mason-perl_0.14-1_all.deb abstract baseclass for a standalone mason server
libhttp-server-simple-perl_0.45.02-1_all.deb simple stand-alone HTTP server
libhttp-server-simple-psgi-perl_0.16-2_all.deb simple HTTP server with PSGI application support
libhttp-server-simple-recorder-perl_0.03-1_all.deb Mixin to record HTTP::Server::Simple's sockets
libhttp-server-simple-static-perl_0.09-1_all.deb Serve static files with HTTP::Server::Simple
libhttp-throwable-perl_0.018-2_all.deb strongly-typed, PSGI-friendly HTTP 1.1 exception libraries
libhttp-tiny-perl_0.050-1_all.deb Perl module that implements a small, simple, correct HTTP/1.1 client
libhttpclient-java_4.3.5-2_all.deb HTTP/1.1 compliant HTTP agent implementation
libhttpcore-java_4.3.3-1_all.deb set of low level HTTP transport components for Java
libhttpmime-java_4.3.5-2_all.deb HTTP/1.1 compliant HTTP agent implementation - MIME extension
libhttpunit-java-doc_1.7+dfsg-10_all.deb documentation for libhttpunit-java
libhttpunit-java_1.7+dfsg-10_all.deb automated web site testing toolkit
libhttrack-dev_3.48.20-1_amd64.deb Httrack website copier includes and development files
Advertisement
Advertisement